Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/ivf.pass1.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/ivf.pass1.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/ivf.pass1.c	(revision 25147)
@@ -117,19 +117,19 @@
 typedef struct hash_rec
   {
-    unsigned long fcnt;		/* fragment frequency */
-    unsigned long lfcnt;	/* local fragment frequency */
-    unsigned long fnum;		/* last fragment to use stem */
-    unsigned long wcnt;		/* stem frequency */
-    unsigned long lwcnt;	/* local stem frequency */
+    mg_u_long fcnt;		/* fragment frequency */
+    mg_u_long lfcnt;	/* local fragment frequency */
+    mg_u_long fnum;		/* last fragment to use stem */
+    mg_u_long wcnt;		/* stem frequency */
+    mg_u_long lwcnt;	/* local stem frequency */
     u_char *word;
   }
 hash_rec;
 
-static unsigned long words_read = 0, words_diff = 0, bytes_diff = 0;
-static unsigned long outputbytes = 0;
-static unsigned long inputbytes = 0;
-static unsigned long MaxMemInUse = 0;
-static unsigned long MemInUse = 0;
-static unsigned long ChunksWritten = 0;
+static mg_u_long words_read = 0, words_diff = 0, bytes_diff = 0;
+static mg_u_long outputbytes = 0;
+static mg_u_long inputbytes = 0;
+static mg_u_long MaxMemInUse = 0;
+static mg_u_long MemInUse = 0;
+static mg_u_long ChunksWritten = 0;
 
 
@@ -138,6 +138,6 @@
 
 static hash_rec **HashTable;
-static unsigned long HashSize=0;
-static unsigned long HashUsed=0;
+static mg_u_long HashSize=0;
+static mg_u_long HashUsed=0;
 static u_char *Pool;
 static int PoolLeft=0;
@@ -152,11 +152,11 @@
 static mg_ullong L2_bits = 0;
 static mg_ullong L3_bits = 0;
-static unsigned long L1_ohead = 0;
-static unsigned long L2_ohead = 0;
-static unsigned long L3_ohead = 0;
-static unsigned long callnum = 0, lcallnum = 0, wordnum = 0, lwordnum = 0;
-static unsigned long ptrcnt = 0;
-static unsigned long checknum=0;
-static long max_mem = 0;
+static mg_u_long L1_ohead = 0;
+static mg_u_long L2_ohead = 0;
+static mg_u_long L3_ohead = 0;
+static mg_u_long callnum = 0, lcallnum = 0, wordnum = 0, lwordnum = 0;
+static mg_u_long ptrcnt = 0;
+static mg_u_long checknum=0;
+static mg_s_long max_mem = 0;
 
 
@@ -211,5 +211,5 @@
 			  MG_MESSAGE)))  /* [RPAP - Feb 97: WIN32 Port] */
     return (COMPERROR);
-  fwrite ("    ", sizeof (u_long), 1, ic);	/* Space for the maxmem */
+  fwrite ("    ", sizeof (mg_u_long), 1, ic);	/* Space for the maxmem */
   ENCODE_START (ic)
     ENCODE_PAUSE (sbs)
@@ -256,16 +256,16 @@
 
 
-static unsigned long 
+static mg_u_long 
 mem_reqd (void)
 {
   register int i;
-  register unsigned long total = 0;
-/*  register unsigned long N = InvfLevel == 3 ? lwordnum : lcallnum; */
-  register unsigned long N = lcallnum;
+  register mg_u_long total = 0;
+/*  register mg_u_long N = InvfLevel == 3 ? lwordnum : lcallnum; */
+  register mg_u_long N = lcallnum;
   for (i = 0; i < HashUsed; i++)
     {
       register hash_rec *ent = first_occr[i];
-/*      register unsigned long p = InvfLevel == 3 ? ent->lwcnt : ent->lfcnt; */
-      register unsigned long p = ent->lfcnt;
+/*      register mg_u_long p = InvfLevel == 3 ? ent->lwcnt : ent->lfcnt; */
+      register mg_u_long p = ent->lfcnt;
       if (p)
 	total += BIO_Bblock_Bound (N, p);
@@ -278,16 +278,16 @@
 }
 
-static unsigned long 
+static mg_u_long 
 max_mem_reqd (void)
 {
   register int i;
-  register unsigned long total = 0;
-/*  register unsigned long N = InvfLevel == 3 ? wordnum : callnum; */
-  register unsigned long N = callnum;
+  register mg_u_long total = 0;
+/*  register mg_u_long N = InvfLevel == 3 ? wordnum : callnum; */
+  register mg_u_long N = callnum;
   for (i = 0; i < HashUsed; i++)
     {
       register hash_rec *ent = first_occr[i];
-/*      register unsigned long p = InvfLevel == 3 ? ent->wcnt : ent->fcnt; */
-      register unsigned long p = ent->fcnt;
+/*      register mg_u_long p = InvfLevel == 3 ? ent->wcnt : ent->fcnt; */
+      register mg_u_long p = ent->fcnt;
       if (p)
 	total += BIO_Bblock_Bound (N, p);
@@ -302,5 +302,5 @@
 
 static void 
-dump_dict (unsigned long mem)
+dump_dict (mg_u_long mem)
 {
   int i;
@@ -367,5 +367,5 @@
       /* Search the hash table for Word */
       {
-	register unsigned long hashval, step;
+	register mg_u_long hashval, step;
 	register int hsize = HashSize;
 	HASH (hashval, step, Word, hsize);
@@ -464,6 +464,6 @@
 	{
 	  hash_rec **ht;
-	  unsigned long size;
-	  unsigned long i;
+	  mg_u_long size;
+	  mg_u_long i;
 	  size = prime (HashSize * 2);
 	  if (!(ht = Xmalloc (sizeof (hash_rec *) * size)))
@@ -480,5 +480,5 @@
 		register u_char *wptr;
 		hash_rec *ent;
-		register unsigned long hashval, step;
+		register mg_u_long hashval, step;
 
 		wptr = HashTable[i]->word;
@@ -504,5 +504,5 @@
   if (ptrcnt >= checknum)
     {
-      unsigned long mem;
+      mg_u_long mem;
       /*fprintf(stderr, "Checking at %u . . . ", ptrcnt); */
       mem = mem_reqd ();
@@ -617,5 +617,5 @@
       /* check for overflow */
       if (L1_bits + L2_bits < oldL12_bits) {
-	fprintf(stderr, "ERROR: Inverted file size will probably overflow %d byte unsigned integer\n", sizeof (mg_ullong));
+	fprintf(stderr, "ERROR: Inverted file size will probably overflow %lu byte unsigned integer\n", sizeof (mg_ullong));
 	fprintf(stderr, "       counter in pass 2.\n");
 	if (sizeof (mg_ullong) < 8) {
@@ -659,10 +659,10 @@
 write_stem_file (char *file_name)
 {
-  long j;
+  mg_s_long j;
   struct invf_dict_header idh;
-  long lookback = (1 << LOGLOOKBACK);	/* ???? */
-  long totalbytes = 0;		/* The sum of the length of all words, including 
+  mg_s_long lookback = (1 << LOGLOOKBACK);	/* ???? */
+  mg_s_long totalbytes = 0;		/* The sum of the length of all words, including 
 				   the length byte */
-  long indexstringbytes = 0;	/* The amount of space required to store the 
+  mg_s_long indexstringbytes = 0;	/* The amount of space required to store the 
 				   words in the diction, this takes into account 
 				   the prefixes */
@@ -706,5 +706,5 @@
     {
       int i;
-      unsigned long wcnt, fcnt;  /* [RPAP - Jan 97: Endian Ordering] */
+      mg_u_long wcnt, fcnt;  /* [RPAP - Jan 97: Endian Ordering] */
       hash_rec *ent = HashTable[j];
       if (lastword != NULL)
@@ -750,5 +750,5 @@
 write_codes (char *file_name)
 {
-  unsigned long dicts = 0;
+  mg_u_long dicts = 0;
   outputbytes = 0;
   write_stem_file (file_name);
@@ -805,7 +805,7 @@
     {
       /* [RPAP - Jan 97: Endian Ordering] */
-      unsigned long fnum;
+      mg_u_long fnum;
       HTONUL2(first_occur[i]->fnum, fnum);
-      fwrite ((char *) &fnum, sizeof (unsigned long), 1, f);
+      fwrite ((char *) &fnum, sizeof (mg_u_long), 1, f);
     }
 #endif
@@ -837,5 +837,5 @@
     GAMMA_ENCODE (1);
   ENCODE_DONE
-    fseek (ic, sizeof (long), 0);
+    fseek (ic, sizeof (mg_s_long), 0);
   
   HTONSL(max_mem);  /* [RPAP - Jan 97: Endian Ordering] */
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/ivf.pass2.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/ivf.pass2.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/ivf.pass2.c	(revision 25147)
@@ -39,5 +39,5 @@
  * Revision 1.2  1997/08/02  05:01:57  wew
  * changed literal values of 32 for the bit size of magic numbers of
- * files to sizeof (unsigned long) * 8, increased the gap at the start
+ * files to sizeof (mg_u_long) * 8, increased the gap at the start
  * of the invf during processing to 200 bytes
 
@@ -127,11 +127,11 @@
     struct stat file_state;\
     fstat(fileno(invf_out), &file_state);\
-    Message("len(invf) = %ld", file_state.st_size);\
+    Message("len(invf) = %d", file_state.st_size);\
   }while(0)
 
 typedef struct word_rec
   {
-    unsigned long ptr;
-    unsigned long last;
+    mg_u_long ptr;
+    mg_u_long last;
   }
 word_rec;
@@ -141,5 +141,5 @@
     mg_ullong Disk_Ptr;
     mg_ullong Disk_Last;
-    unsigned long Disk_B;
+    mg_u_long Disk_B;
   }
 invf_state_rec;
@@ -147,8 +147,8 @@
 typedef struct chunk
   {
-    unsigned long start_doc;
-    unsigned long params_pos;
-    unsigned long disk_pos;
-    unsigned long N;
+    mg_u_long start_doc;
+    mg_u_long params_pos;
+    mg_u_long disk_pos;
+    mg_u_long N;
   }
 chunk;
@@ -175,5 +175,5 @@
 
 static int docs_left = 0, next_docs_left = 0;
-static unsigned long N;
+static mg_u_long N;
 
 static word_rec *WordRecs;
@@ -182,27 +182,27 @@
 
 static char *MemoryBuffer = NULL;
-static unsigned long MemBufSize;
-static unsigned long BufToUse;
+static mg_u_long MemBufSize;
+static mg_u_long BufToUse;
 static struct invf_dict_header idh;
 
 static perf_hash_data *phd;
 
-static unsigned long *word_list = NULL;
-static unsigned long wl_size = 0;
-
-static unsigned long dict_size;
-static unsigned long no_of_ptrs = 0;
-static unsigned long chunks_read = 0;
-static unsigned long Disk_pos = 0;
-static unsigned long callnum = 0;
-static unsigned long wordnum = 0;
-
-static unsigned long totalIbytes = 0;
-static unsigned long totalDbytes = 0;
-static unsigned long totalHbytes = 0;
-
-static unsigned long MemInUse = 0;
-static unsigned long MaxMemInUse = 0;
-static unsigned long max_buffer_len;
+static mg_u_long *word_list = NULL;
+static mg_u_long wl_size = 0;
+
+static mg_u_long dict_size;
+static mg_u_long no_of_ptrs = 0;
+static mg_u_long chunks_read = 0;
+static mg_u_long Disk_pos = 0;
+static mg_u_long callnum = 0;
+static mg_u_long wordnum = 0;
+
+static mg_u_long totalIbytes = 0;
+static mg_u_long totalDbytes = 0;
+static mg_u_long totalHbytes = 0;
+
+static mg_u_long MemInUse = 0;
+static mg_u_long MaxMemInUse = 0;
+static mg_u_long max_buffer_len;
 
 void 
@@ -292,6 +292,6 @@
       return (COMPERROR);
 
-  sprintf (FName, FILE_NAME_FORMAT ".%ld", get_basepath (), file_name,
-	   ".invf.state", (long) getpid ());  /* [RPAP - Feb 97: WIN32 Port] */
+  sprintf (FName, FILE_NAME_FORMAT ".%d", get_basepath (), file_name,
+	   ".invf.state", (mg_s_long) getpid ());  /* [RPAP - Feb 97: WIN32 Port] */
   if (!(invf_state = fopen (FName, "w+b")))  /* [RPAP - Feb 97: WIN32 Port] */
     {
@@ -301,6 +301,6 @@
   unlink (FName);
 
-  sprintf (FName, FILE_NAME_FORMAT ".%ld", get_basepath (), file_name,
-	   ".chunk.state", (long) getpid ());  /* [RPAP - Feb 97: WIN32 Port] */
+  sprintf (FName, FILE_NAME_FORMAT ".%d", get_basepath (), file_name,
+	   ".chunk.state", (mg_s_long) getpid ());  /* [RPAP - Feb 97: WIN32 Port] */
   if (!(chunk_state = fopen (FName, "w+b")))  /* [RPAP - Feb 97: WIN32 Port] */
     {
@@ -312,6 +312,6 @@
   ChangeMemInUse (RND_BUF_SIZE);
 
-  sprintf (FName, FILE_NAME_FORMAT ".%ld", get_basepath (), file_name,
-	   ".chunks", (long) getpid ());  /* [RPAP - Feb 97: WIN32 Port] */
+  sprintf (FName, FILE_NAME_FORMAT ".%d", get_basepath (), file_name,
+	   ".chunks", (mg_s_long) getpid ());  /* [RPAP - Feb 97: WIN32 Port] */
   if (!(chunks = fopen (FName, "w+b")))  /* [RPAP - Feb 97: WIN32 Port] */
     {
@@ -329,5 +329,5 @@
 
 #define ISR_CACHE 1024
-#define ISR_ENTRY_SIZE (sizeof(mg_ullong)*2 + sizeof(unsigned long))
+#define ISR_ENTRY_SIZE (sizeof(mg_ullong)*2 + sizeof(mg_u_long))
 
 invf_state_rec *
@@ -360,8 +360,8 @@
 
 
-unsigned long 
-occur_to_lexical (long occ, int clear_state)
-{
-  static long pos = -1;
+mg_u_long 
+occur_to_lexical (mg_s_long occ, int clear_state)
+{
+  static mg_s_long pos = -1;
   static random_bitio_state rbs;
   static int val = 0;
@@ -383,5 +383,5 @@
 	  return 0;
 	}
-      BIO_Random_Seek_X (sizeof (unsigned long) * 8, &rbs);
+      BIO_Random_Seek_X (sizeof (mg_u_long) * 8, &rbs);
       pos = 0;
     }
@@ -396,6 +396,6 @@
 
 void 
-add_chunk_state (unsigned long pos, unsigned long start_doc,
-		 unsigned long N)
+add_chunk_state (mg_u_long pos, mg_u_long start_doc,
+		 mg_u_long N)
 {
   chunk_data[chunks_read].params_pos = pos;
@@ -448,5 +448,5 @@
   totalHbytes = sizeof (perf_hash_data) + sizeof (u_char) * 256 +
     sizeof (int) * (phd->MAX_N + 1) + sizeof (int *) * 3 * phd->MAX_CH +
-    sizeof (long) * phd->MAX_CH * phd->MAX_L;
+    sizeof (mg_s_long) * phd->MAX_CH * phd->MAX_L;
 
   if (!(WordRecs = Xmalloc (sizeof (word_rec) * idh.dict_size)))
@@ -488,5 +488,5 @@
   totalDbytes += sizeof (chunk) * (ChunkLimit + 2);
 
-  totalIbits = sizeof (unsigned long) * 8;		/* The magic number */
+  totalIbits = sizeof (mg_u_long) * 8;		/* The magic number */
   totalIbits += 8 * 200;	/* A 200 byte gap */
 
@@ -506,6 +506,6 @@
     {
       invf_state_rec *isr;
-      register unsigned long copy, suff, p;
-      unsigned long fcnt, wcnt;
+      register mg_u_long copy, suff, p;
+      mg_u_long fcnt, wcnt;
 
       lasttotalIbits = totalIbits;
@@ -551,5 +551,5 @@
 
       if (totalIbits < lasttotalIbits) {
-	fprintf(stderr, "ERROR: The totalIbits counter (%d byte unsigned integer) has overflowed.\n", sizeof (mg_ullong));
+	fprintf(stderr, "ERROR: The totalIbits counter (%lu byte unsigned integer) has overflowed.\n", sizeof (mg_ullong));
 	if (sizeof (mg_ullong) < 8) {
 	  fprintf(stderr, "       Try compiling with GCC to enable use of 8 bytes for this counter.\n");
@@ -578,13 +578,13 @@
 LoadCounts (void)
 {
-  unsigned long numwords, i, last_total;
-  static unsigned long local_N = 0;
-  unsigned long totalIbits, crbs_pos;
+  mg_u_long numwords, i, last_total;
+  static mg_u_long local_N = 0;
+  mg_u_long totalIbits, crbs_pos;
   word_rec *wr;
-  unsigned long *counts;
+  mg_u_long *counts;
 
   if (MemoryBuffer == NULL)
     {
-      MemBufSize = sizeof (unsigned long) * dict_size;
+      MemBufSize = sizeof (mg_u_long) * dict_size;
       if (max_buffer_len > MemBufSize) 
 	MemBufSize = max_buffer_len;
@@ -593,6 +593,6 @@
       ChangeMemInUse (MemBufSize);
     }
-  counts = (unsigned long *) MemoryBuffer;
-/*   bzero ((char *) counts, sizeof (unsigned long) * dict_size); */
+  counts = (mg_u_long *) MemoryBuffer;
+/*   bzero ((char *) counts, sizeof (mg_u_long) * dict_size); */
   bzero ((char *) counts, MemBufSize);
   docs_left = next_docs_left; 
@@ -613,5 +613,5 @@
   for (i = 0; i < numwords; i++)
     {
-      unsigned long word_num, wcnt, fcnt, p;
+      mg_u_long word_num, wcnt, fcnt, p;
       word_num = occur_to_lexical (i,0);
       
@@ -628,5 +628,5 @@
       if (wcnt)
 	{
-	  register unsigned long length;
+	  register mg_u_long length;
 	  counts[word_num] = p;
 	  length = BIO_Bblock_Bound (local_N, p);
@@ -644,5 +644,5 @@
   for (wr = WordRecs, i = 0; i < dict_size; i++, wr++)
     {
-      register unsigned long length;
+      register mg_u_long length;
       length = wr->ptr;
       wr->last = callnum;
@@ -688,12 +688,12 @@
   random_bitio_state *rbsi;
   random_bitio_state *chks = NULL;
-  unsigned long *chunk_ptrs;
+  mg_u_long *chunk_ptrs;
   int i;
 
   BIO_Random_Flush (&crbs);
 
-  chunk_ptrs = Xmalloc (chunks_read * sizeof (unsigned long));
-  ChangeMemInUse (chunks_read * sizeof (unsigned long));
-  bzero ((char *) chunk_ptrs, chunks_read * sizeof (unsigned long));
+  chunk_ptrs = Xmalloc (chunks_read * sizeof (mg_u_long));
+  ChangeMemInUse (chunks_read * sizeof (mg_u_long));
+  bzero ((char *) chunk_ptrs, chunks_read * sizeof (mg_u_long));
 
   rbsi = Xmalloc (chunks_read * sizeof (random_bitio_state));
@@ -752,5 +752,5 @@
 		  for (k = 0; k < p; k++)
 		    {
-		      register unsigned long x, tf;
+		      register mg_u_long x, tf;
 		      BBLOCK_DECODE (x, b);
 		      if (k == 0)
@@ -775,5 +775,5 @@
 		  for (k = 0; k < p; k++)
 		    {
-		      register unsigned long x, tf;
+		      register mg_u_long x, tf;
 		      x = BIO_Random_Bblock_Decode (b, Chks, NULL);
 		      if (k == 0)
@@ -816,5 +816,5 @@
 /*   chunks_read = 0; */
   Xfree (chunk_ptrs);
-  ChangeMemInUse (-chunks_read * sizeof (unsigned long));
+  ChangeMemInUse (-chunks_read * sizeof (mg_u_long));
   chunks_read = 0;
   Disk_pos = 0;
@@ -860,6 +860,6 @@
   int res;
   u_char *end = s_in + l_in - 1;
-  unsigned long tocode;
-  unsigned long wl_pos = 0;
+  mg_u_long tocode;
+  mg_u_long wl_pos = 0;
 
   if (!docs_left)
@@ -934,6 +934,6 @@
       if (wl_pos)
 	{
-	  unsigned long *wl = word_list;
-	  unsigned long i, count, val;
+	  mg_u_long *wl = word_list;
+	  mg_u_long i, count, val;
 	  qsort (wl, wl_pos, sizeof (*wl), wl_comp);
 	  count = 1;
@@ -999,5 +999,5 @@
 
 static void 
-stats (unsigned long len)
+stats (mg_u_long len)
 {
 #ifndef SILENT
@@ -1029,8 +1029,8 @@
 done_ivf_2 (char *FileName)
 {
-  long i;
+  mg_s_long i;
   mg_ullong totalIbits;
-  unsigned long invf_len;
-  unsigned long bytes_output;
+  mg_u_long invf_len;
+  mg_u_long bytes_output;
   struct invf_file_header ifh;
 
@@ -1054,5 +1054,5 @@
   invf_len = ftell (invf);
 
-  fseek (invf_out, sizeof (long), 0);
+  fseek (invf_out, sizeof (mg_s_long), 0);
   /* [RPAP - Jan 97: Endian Ordering] */
   HTONUL2(dict_size, ifh.no_of_words);
@@ -1065,14 +1065,14 @@
   bytes_output = ftell (invf_out);
 
-  totalIbits = sizeof (unsigned long) * 8;		/* The magic number */
+  totalIbits = sizeof (mg_u_long) * 8;		/* The magic number */
   totalIbits += 8 * 200;	/* A 200 byte gap */
 
   /* find the right place in the file to start reading p values */
-  fseek (dict, sizeof (unsigned long) + sizeof (struct invf_dict_header), 0);
+  fseek (dict, sizeof (mg_u_long) + sizeof (struct invf_dict_header), 0);
   for (i = 0; i < dict_size; i++)
     {
       invf_state_rec *isr;
-      unsigned long fcnt, wcnt, s, e;
-      register unsigned long p;
+      mg_u_long fcnt, wcnt, s, e;
+      register mg_u_long p;
       u_char dummy1, dummy2[MAXSTEMLEN + 1];
 
@@ -1147,5 +1147,5 @@
   {
     char *temp_str = msg_prefix;
-    unsigned long total;
+    mg_u_long total;
     msg_prefix = "ivf.pass2";
     stats (invf_len);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/lists.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/lists.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/lists.h	(revision 25147)
@@ -32,6 +32,6 @@
     float Weight;
     int DocNum;
-    unsigned long SeekPos;	/* position in the text file in bytes */
-    unsigned long Len;		/* length of the document in bytes */
+    mg_u_long SeekPos;	/* position in the text file in bytes */
+    mg_u_long Len;		/* length of the document in bytes */
     char *CompTextBuffer;
     struct DocEntry *Next;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/locallib.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/locallib.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/locallib.c	(revision 25147)
@@ -100,5 +100,5 @@
 
 int 
-huffcodebits (unsigned long *A, int n)
+huffcodebits (mg_u_long *A, int n)
 {
   int i, j, tot = 0, bits = 0, v1, v2, *B;
@@ -136,5 +136,5 @@
 
 int 
-modelbits (unsigned long *A, int n)
+modelbits (mg_u_long *A, int n)
 {
   int i, bits = 0, last, N = 0;
@@ -185,6 +185,6 @@
 
 int 
-Read_cdh (FILE * f, compression_dict_header * cdh, u_long * mem,
-	  u_long * disk)
+Read_cdh (FILE * f, compression_dict_header * cdh, mg_u_long * mem,
+	  mg_u_long * disk)
 {
   if (disk)
@@ -212,6 +212,6 @@
 
 int 
-F_Read_cdh (File * f, compression_dict_header * cdh, u_long * mem,
-	    u_long * disk)
+F_Read_cdh (File * f, compression_dict_header * cdh, mg_u_long * mem,
+	    mg_u_long * disk)
 {
   if (disk)
@@ -239,5 +239,5 @@
 
 int 
-Read_cfh (FILE * f, comp_frags_header * cfh, u_long * mem, u_long * disk)
+Read_cfh (FILE * f, comp_frags_header * cfh, mg_u_long * mem, mg_u_long * disk)
 {
   int i;  /* [RPAP - Jan 97: Endian Ordering] */
@@ -274,5 +274,5 @@
 
 int 
-F_Read_cfh (File * f, comp_frags_header * cfh, u_long * mem, u_long * disk)
+F_Read_cfh (File * f, comp_frags_header * cfh, mg_u_long * mem, mg_u_long * disk)
 {
   int i;  /* [RPAP - Jan 97: Endian Ordering] */
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/locallib.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/locallib.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/locallib.h	(revision 25147)
@@ -33,19 +33,19 @@
 int vecentropy (int *A, int n);
 
-int huffcodebits (unsigned long *A, int n);
+int huffcodebits (mg_u_long *A, int n);
 
-int modelbits (unsigned long *A, int n);
+int modelbits (mg_u_long *A, int n);
 
 int prime (int p);
 
 
-int Read_cdh (FILE * f, compression_dict_header * cdh, u_long * mem, u_long * disk);
+int Read_cdh (FILE * f, compression_dict_header * cdh, mg_u_long * mem, mg_u_long * disk);
 
-int Read_cfh (FILE * f, comp_frags_header * cfh, u_long * mem, u_long * disk);
+int Read_cfh (FILE * f, comp_frags_header * cfh, mg_u_long * mem, mg_u_long * disk);
 
-int F_Read_cdh (File * f, compression_dict_header * cdh, u_long * mem,
-		u_long * disk);
+int F_Read_cdh (File * f, compression_dict_header * cdh, mg_u_long * mem,
+		mg_u_long * disk);
 
-int F_Read_cfh (File * f, comp_frags_header * cfh, u_long * mem, u_long * disk);
+int F_Read_cfh (File * f, comp_frags_header * cfh, mg_u_long * mem, mg_u_long * disk);
 
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_compression_dict.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_compression_dict.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_compression_dict.c	(revision 25147)
@@ -41,5 +41,5 @@
 #include "mg.h"
 
-#define MAXBITS (sizeof(unsigned long) * 8)
+#define MAXBITS (sizeof(mg_mg_u_long) * 8)
 
 /*
@@ -98,8 +98,8 @@
 typedef struct WordData
   {
-    u_long freq, occur_num;
+    mg_u_long freq, occur_num;
     float saving;
     float char_bit_cost;
-    u_long num_trans;
+    mg_u_long num_trans;
     u_char *word;
   }
@@ -107,6 +107,6 @@
 
 static WordData *Words[2];
-static u_long Num[2];
-static u_long chars[2];
+static mg_u_long Num[2];
+static mg_u_long chars[2];
 
 #define KIND(p) (((p) >= Words[0] && (p) < Words[0] + Num[0]) ? 0 : 1)
@@ -118,6 +118,6 @@
   {
     WordData **wd;
-    u_long num_wds;
-    u_long chars;
+    mg_u_long num_wds;
+    mg_u_long chars;
   }
 DictData;
@@ -129,5 +129,5 @@
 
 static char *file_name = "";
-static u_long novel_method = MG_NOVEL_HUFFMAN_CHARS;
+static mg_u_long novel_method = MG_NOVEL_HUFFMAN_CHARS;
 
 
@@ -136,5 +136,5 @@
 static void Method3 (int k);
 static void Select_all (void);
-static u_long WriteOutWords (char *, u_long, int);
+static mg_u_long WriteOutWords (char *, mg_u_long, int);
 static int DecFreqIncWL (void *a, void *b);
 static int OccuranceOrder (void *a, void *b);
@@ -150,5 +150,5 @@
   int lookback = 2;
   double k = 0;
-  u_long mem_reqd;
+  mg_u_long mem_reqd;
   opterr = 0;
   msg_prefix = argv[0];
@@ -264,5 +264,5 @@
 {
   FILE *f;
-  unsigned long i;
+  mg_u_long i;
   f = open_file (filename, TEXT_STATS_DICT_SUFFIX, "rb",
 		 MAGIC_STATS_DICT, MG_ABORT);  /* [RPAP - Feb 97: WIN32 Port] */
@@ -468,8 +468,8 @@
 CalcCharCounts (WordData ** wd, int num,
 		char *char_lens[2], char *len_lens[2],
-		u_long escape[2])
-{
-  long char_freqs[2][256];
-  long len_freqs[2][16];
+		mg_u_long escape[2])
+{
+  mg_u_long char_freqs[2][256];
+  mg_u_long len_freqs[2][16];
   huff_data hd;
   int i;
@@ -480,5 +480,5 @@
   for (i = 0; i < num; i++, wd++)
     {
-      u_long freq = (*wd)->freq;
+      mg_u_long freq = (*wd)->freq;
       u_char *buf = (*wd)->word;
       int len = *buf++;
@@ -487,5 +487,5 @@
       escape[idx] += freq;
       for (; len; len--, buf++)
-	char_freqs[idx][(u_long) (*buf)] += freq;
+	char_freqs[idx][(mg_u_long) (*buf)] += freq;
     }
   Generate_Huffman_Data (256, char_freqs[0], &hd, NULL);
@@ -511,5 +511,5 @@
 CalcBitCost (WordData ** discard_word, int discard_num,
 	     WordData ** keep_word, int keep_num, double freqs_trans[2],
-	     u_long escape[2], int num_trans)
+	     mg_u_long escape[2], int num_trans)
 {
   char *char_lens[2];
@@ -525,10 +525,10 @@
       u_char *buf = (*discard_word)->word;
       int len = *buf++;
-      u_long freq = (*discard_word)->freq;
+      mg_u_long freq = (*discard_word)->freq;
       int idx = KIND (*discard_word);
 
       cbc = len_lens[idx][len];
       for (; len; len--, buf++)
-	cbc += char_lens[idx][(u_long) (*buf)];
+	cbc += char_lens[idx][(mg_u_long) (*buf)];
 
       (*discard_word)->char_bit_cost = (cbc + esc[idx]) * freq;
@@ -546,10 +546,10 @@
       u_char *buf = (*keep_word)->word;
       int len = *buf++;
-      u_long freq = (*keep_word)->freq;
+      mg_u_long freq = (*keep_word)->freq;
       int idx = KIND (*keep_word);
 
       cbc = len_lens[idx][len];
       for (; len; len--, buf++)
-	cbc += char_lens[idx][(u_long) (*buf)];
+	cbc += char_lens[idx][(mg_u_long) (*buf)];
 
       (*keep_word)->char_bit_cost = (cbc + esc[idx]) * freq;
@@ -578,5 +578,5 @@
   int recalcs = 0;
   double freqs_trans[2], total;
-  u_long escape[2];
+  mg_u_long escape[2];
   WordData **keep_heap, **discard_heap;
 
@@ -831,14 +831,14 @@
 
 
-static u_long 
+static mg_u_long 
 Write_data (FILE * f, DictData * dd, int lookback)
 {
-  u_long mem_reqd;
+  mg_u_long mem_reqd;
   huff_data *hd;
   int i; 
-  u_long us = dd->num_wds;
-  long *freqs;
-  u_long huff_words_size[MAX_HUFFCODE_LEN + 1];
-  u_long lencounts[MAX_HUFFCODE_LEN + 1];
+  mg_u_long us = dd->num_wds;
+  mg_s_long *freqs;
+  mg_u_long huff_words_size[MAX_HUFFCODE_LEN + 1];
+  mg_u_long lencounts[MAX_HUFFCODE_LEN + 1];
   u_char *lastword[MAX_HUFFCODE_LEN + 1];
 
@@ -932,5 +932,5 @@
 {
   int j;
-  long freqs[256];
+  mg_s_long freqs[256];
   WordData **wd = dd->wd;
   huff_data *hd;
@@ -943,5 +943,5 @@
       int len = *buf++;
       for (; len; len--, buf++)
-	freqs[(u_long) (*buf)] += (*wd)->freq;
+	freqs[(mg_u_long) (*buf)] += (*wd)->freq;
     }
 
@@ -968,5 +968,5 @@
 {
   int j;
-  long freqs[16];
+  mg_s_long freqs[16];
   WordData **wd = dd->wd;
   huff_data *hd;
@@ -995,10 +995,10 @@
 
 
-static u_long 
-WriteOutWords (char *file_name, u_long type, int lookback)
+static mg_u_long 
+WriteOutWords (char *file_name, mg_u_long type, int lookback)
 {
   FILE *f;
   int i;
-  u_long mem_reqd = 0;
+  mg_u_long mem_reqd = 0;
 
   compression_dict_header cdh;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_decompress_text.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_decompress_text.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_decompress_text.c	(revision 25147)
@@ -34,6 +34,6 @@
 
   int ch;
-  unsigned long start, finish, len;
-  u_long total_chars = 0;
+  mg_u_long start, finish, len;
+  mg_u_long total_chars = 0;
   u_char *c_buffer = 0;
   int buf_len = -1;
@@ -42,5 +42,5 @@
   compression_dict *cd = NULL;
   compressed_text_header cth;
-  u_long doc;
+  mg_u_long doc;
   int count;
   char *filename = "";
@@ -161,5 +161,5 @@
 
 #if 0
-  printf ("\n#Total chars output = %lu\n", total_chars);
+  printf ("\n#Total chars output = %u\n", total_chars);
 #endif
 
